enum ItemType {
  BOOK, CD, DVD, MAGAZINE, SHEETMUSIC, OTHER
}

class Item {
  String title;
  String coutDate;
  String coutTime;
  ItemType itemtype;

  Item(String title, String coutDate, String coutTime, String itemtype) {
    this.title = title;
    this.coutDate = coutDate;
    this.coutTime = coutTime;
    this.itemtype = convertItemType(itemtype);
  }

  void display() {
    println("Title: " + title);
    println("Date: " + coutDate);
    println("Time: " + coutTime);
    println("Item Type: " + itemtype);
    println("-------------");
  }
  
  ItemType convertItemType(String itemtype) {
    if (itemtype.toLowerCase().contains("bk")) {
      return ItemType.BOOK;
    } else if (itemtype.toLowerCase().contains("cd")) {
      return ItemType.CD;
    } else if (itemtype.toLowerCase().contains("dvd")) {
      return ItemType.DVD;
    } else if (itemtype.toLowerCase().contains("per") || itemtype.toLowerCase().contains("mus")) {
      return ItemType.MAGAZINE;
    } else {
      return ItemType.OTHER;
    }
  }
}

color getColorForItemType(ItemType itemtype) {
  switch (itemtype) {
    case BOOK:
      return color(255, 0, 0); // Red for BOOK
    case CD:
      return color(0, 255, 0); // Green for CD
    case DVD:
      return color(0, 0, 255); // Blue for DVD
    case MAGAZINE:
      return color(255, 255, 0); // Yellow for MAGAZINE
    case SHEETMUSIC:
      return color(255, 0, 255); // Magenta for SHEETMUSIC
    case OTHER:
      return color(0, 255, 255); // Cyan for OTHER
    default:
      return color(150); // Default gray color
  }
}
