int parseDay(String rawDate) { //0 to 365
  String[] dates = split(rawDate, '-');
  int year = int(dates[0]);
  int month = int(dates[1]);
  int day = int(dates[2]);
  return dayOfYear(year, month, day) - 1;
}

int dayOfYear(int year, int month, int day) {
  int[] daysInMonth = {0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};

  // Check for leap year and adjust February
  if (isLeapYear(year)) {
    daysInMonth[2] = 29;
  }

  int dayCount = day;
  for (int i = 1; i < month; i++) {
    dayCount += daysInMonth[i];
  }

  return dayCount;
}

boolean isLeapYear(int year) {
  return (year % 4 == 0 && year % 100 != 0) || (year % 400 == 0);
}

int parseYear(String rawDate) { //0 (2006) - 6574 (2023) for all the days in these years
  String[] dates = split(rawDate, '-');
  int year = int(dates[0]);
  int month = int(dates[1]);
  int day = int(dates[2]);
  
  int prevYearDays = 0;
  for (int currYear = startYear; currYear<year; currYear++) {
    if (isLeapYear(currYear)) {
      prevYearDays += 366;
    } else prevYearDays += 365;
  }
  
  return prevYearDays + parseDay(rawDate);
  
  //return year - startYear;
}

int parseTime(String rawTime) { //0 - 720 (12 hours of data)
  String[] times = split(rawTime, ':');
  int hour = int(times[0]);
  int minute = int(times[1]);
  int time = (60 * hour) + minute;
  time = time -startTime;
  return time;
}

float getYearAxis(int i) {
  return map(parseYear(items.get(i).coutDate), 0, totalDaySpan, -boxWidth/2, boxWidth/2);
}

float getTimeAxis(int i) {
  return map(parseTime(items.get(i).coutTime), 0, totalMinutesSpan, boxHeight/2, -boxHeight/2);
}

float getDayAxis(int i) {
  return map(parseDay(items.get(i).coutDate), 0, totalDaysInYear, boxDepth/2, -boxDepth/2);
}

//select random item from the data
void turnOnRandomChoice() {
  chooseRandom = true;
  randomIndex = int(random(0,items.size()));
  randomTitle = items.get(randomIndex).title;
}
